With ao AS(
SELECT DISTINCT id,
                degree_desc,
                program_desc,
                major_desc,
                academic_period,
                academic_period_desc,
                department,
                first_concentration,
                first_concentration_desc
FROM   academic_outcome
WHERE  department = 'EGRC'
       AND academic_outcome.status = 'AW'
)

Select Distinct first_name,
                last_name,
                eid_email,
                ao.*
From registration_bio rb
inner join ao
on ao.id=rb.id AND ao.academic_period=rb.academic_period
order by ao.academic_period, ao.degree_desc, rb.last_name
